Bug 473012 - Evolution doesn't see new messages in Exchange
Evolution doesn't see new messages in Exchange
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution-exchange (Show other bugs)
14
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
: Patch, Reopened
: 663091 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-25 21:43 EST by Bojan Smojver
Modified: 2012-08-16 17:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 663091 (view as bug list)
Environment:
Last Closed: 2012-08-16 17:41:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bactrace of crash that happened when new messages weren't being displayed (39.59 KB, text/plain)
2010-06-10 09:56 EDT, David
no flags Details
screenshot (77.71 KB, image/jpeg)
2010-12-15 10:04 EST, David
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 581908 None None None Never

  None (edit)
Description Bojan Smojver 2008-11-25 21:43:13 EST
Description of problem:
Although the count of unread messages gets increased, the messages are not actually displayed in the list. Outlook shows messages just fine. These are the messages to which server side filter rules are applied.


Version-Release number of selected component (if applicable):
2.24.2-1.fc10

How reproducible:
Sometimes.

Steps to Reproduce:
1. Connect to Exchange.
2. Wait for messages that are filtered and delivered to folders.
3.
  
Actual results:
Messages not displayed (but count of unread increased)

Expected results:
Old Evo would show these messages just fine.

Additional info:
This is any intermittent problem. It doesn't always happen and after some time (minutes, hours), the messages in question mysteriously pop up.
Comment 1 Alan Schmidt 2008-12-23 00:07:13 EST
I have witnessed this bug myself in previous versions of evolution, but for me it was very intermittent, and I wasn't able to produce a recipe for the problem.
Comment 2 Matthew Saltzman 2008-12-30 18:47:53 EST
I have now twice observed Evo updating the Inbox message list and having the count of messages and unread messages decrease before my eyes.

One can force the messages to reappear by deleting .evolution/exchange and .evolution/mail/exchange and starting evolution, but it takes forever to resync.
Comment 3 Norman R. Weathers 2009-01-27 12:39:35 EST
I have seen this as well.  I will have my Outlook open as well and can see where the message is delivered to the Exchange server and then see where "something" reads the message, because in Outlook the message will show up unread, then suddenly read.  No new message shows up in evolution, however.  Very frustrating.
Comment 4 David 2009-02-05 10:25:34 EST
I have seen something similar with both my Inbox and Sent Items folders.  Just now, after my semi-daily evolution crash, evolution shows only a single file in my Sent Items folder.  There are actually several hundred messages in the folder.  It crashed while refreshing that folder, so I suspect it left some summary info in a corrupt state.  I think if I delete .evolution/exchange and .evolution/mail/exchange, it would fix the problem, but like comment #2 says, that's very inconvenient.
Comment 5 Bojan Smojver 2009-02-16 22:22:55 EST
An additional piece of information. When this happens, Evo will briefly display "Unable to retrieve message" in the preview pane and then flick back to normal display of another message. Count of unread messages will go up, but they will not be visible in the folder in question.
Comment 6 Bojan Smojver 2009-02-21 00:15:11 EST
Still present in 2.24.4-1.
Comment 7 Bojan Smojver 2009-03-02 18:52:00 EST
Still present in 2.24.5-1.
Comment 8 Bojan Smojver 2009-03-22 08:32:26 EDT
And another piece of info. If more messages come into the folder, the messages that were not visible will appear.
Comment 9 Bojan Smojver 2009-05-14 19:48:34 EDT
Still a problem with Evo 2.26.1 in F-11.
Comment 10 Matthew Saltzman 2009-07-28 17:15:31 EDT
Please see patch here: http://bugzilla.gnome.org/show_bug.cgi?id=581908.  Does this look like the same or a related problem?  If so, can we give this patch a try?
Comment 11 Bojan Smojver 2009-07-29 06:06:06 EDT
Regarding comment #10: yes, please.

Also note, upstream will not be fixing 2.26.x, so it's up to the distro maintainers to do it.
Comment 12 Bojan Smojver 2009-09-03 20:41:39 EDT
Could someone please backport this patch?
Comment 13 Bojan Smojver 2009-11-13 15:50:20 EST
I switched to F-12 (which hopefully has the fix), so I'm no longer interested in this bug, unless it re-emerges in new Evo.
Comment 14 David 2009-11-13 15:58:33 EST
I've seen this bug in the last week with up to date rawhide.
Comment 15 Bojan Smojver 2009-11-13 16:03:57 EST
OK, I'll keep an eye then. I thought it got fixed upstream, but apparently not.
Comment 16 Bojan Smojver 2009-11-18 00:10:26 EST
You are correct. This is still present in F-12.
Comment 17 Bug Zapper 2009-11-18 03:57:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 David 2010-06-03 14:09:40 EDT
I saw it in F-13 today.
Comment 19 David 2010-06-04 01:57:06 EDT
(In reply to comment #18)
> I saw it in F-13 today.    

What I saw today might be a different bug with similar symptoms.  All of the messages in my Inbox disappeared... I just get a message saying that "No message satisfies your search criteria.  Enter clear search with Search->Clear menu item or change it".  This is despite the fact that I didn't try to search and the Search->Clear menu item is greyed out.  If I delete ~/.evolution/exchange and ~/.evolution/mail/exchange and restart evolution, I can see my messages again.  This is happened at least 4 times to me today.  It's very similar to this old bug that I've seen periodically since fedora 10... evolution can't see messages in an exchange folder.  I'm pretty sure I've also seen the original bug symptoms in f13 too, but I'm not positive and I'm not sure if this is a different symptom of the same bug.
Comment 20 David 2010-06-04 13:51:46 EDT
(In reply to comment #19)
> (In reply to comment #18)
> > I saw it in F-13 today.    
> 
> What I saw today might be a different bug with similar symptoms.  

OK, I think I figured out what was going on although I'm not sure how it happened.  There are two gui widgets handling "search"... one that says "Show:" and one that says "Search:".  Somehow, the one that says "Show:" was getting changed to a different state.  I have never intentionally used that Show: combo box, so it was changed either by a bug or by some accidental keystroke or mouse gesture I made.  Since it happened so frequently yesterday, I suspect something changed in a recent update that changed something to do with the show: gui widget.

So, I think this means that I didn't see the bug yesterday.  I'm pretty sure I have seen it since the beginning of f13 alpha.  But come to think of it, the original bug symptoms would have looked practically identical to the Show: box being inadvertently set to "Read Messages".  I never look at that box and never try to change it, so at least some of the time that I saw this problem, it may have been related to a bad "Show:" filter.  I think this combo box should have mouse scroll wheel and any other shortcuts disabled by default.
Comment 21 David 2010-06-10 09:52:43 EDT
OK, today and yesterday I saw the problem of not seeing new messages in my exchange Inbox that was not related to the "Show:" box.  It looks just like the original bug except closing evolution and restarting is enough to get it to show the new message.  Sometimes just switching folders and returning to the Inbox is enough to get it to show the messages.  But when I tried that yesterday, evolution crashed.  I tried to report it with abrt, but even though
I had debuginfo-installed evolution, it said "Reporting disabled because the backtrace is unusable".  So I'll attach the backtrace here since it crashed at a time when it wasn't showing new messages so the crash may be related.
Comment 22 David 2010-06-10 09:56:59 EDT
Created attachment 422911 [details]
bactrace of crash that happened when new messages weren't being displayed

This happened after a suspend.  My VPN went down (so I'd expect it to not be able to get new messages) and after I brought the VPN up again I clicked on send/receive to get the new messages I know were there and it still didn't get the new messages.  I clicked on another exchange folder to see if evolution would figure out there were new messages when I switched back to the Inbox, but it crashed before opening the other folder.
Comment 23 Bug Zapper 2010-11-04 07:40:31 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 David 2010-11-04 17:04:45 EDT
I've seen this problem or very similar ones in F13 and F14.
Comment 25 Bug Zapper 2010-12-05 02:05:49 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 26 Milan Crha 2010-12-15 04:27:30 EST
*** Bug 663091 has been marked as a duplicate of this bug. ***
Comment 27 Milan Crha 2010-12-15 04:28:20 EST
Reopening per comment #24.
Comment 28 Milan Crha 2010-12-15 04:38:15 EST
(In reply to comment #22)
> Created attachment 422911 [details]
> bactrace of crash that happened when new messages weren't being displayed
> 
> This happened after a suspend.  My VPN went down (so I'd expect it to not be
> able to get new messages) and after I brought the VPN up again I clicked on
> send/receive to get the new messages I know were there and it still didn't get
> the new messages.  I clicked on another exchange folder to see if evolution
> would figure out there were new messages when I switched back to the Inbox, but
> it crashed before opening the other folder.

This particular issue was fixed just recently, and an update is available in Fedora 14 for evolution-exchange (2.32.1-2). Please make sure you'll have also latest libsoup (2.32.2-1 at least). With these packages the crash should be gone. Please note that there are not planned any updates for Fedora 13 for evolution-exchange.

Because you had crashing evolution, could you run evolution-exchange account from scratch, to see whether it'll work better now, with fresh local cache? It's enough to close evolution and rename
 ~/.local/share/evolution/mail/exchange
to a different name and the next start will be this cache populated again.

Bojan, or others, do you still see this in Fedora 14 with the above mentioned versions, please? And maybe after fresh summary? (I would like to avoid issues caused by broken summary due to previous crashes). If so, can anyone update steps to reproduce this, if they differ from the original, please? Thanks in advance.
Comment 29 David 2010-12-15 09:59:50 EST
(In reply to comment #28)

> This particular issue was fixed just recently, and an update is available in
> Fedora 14 for evolution-exchange (2.32.1-2). Please make sure you'll have also
> latest libsoup (2.32.2-1 at least). With these packages the crash should be
> gone. 
I am running the versions you listed.
> 
> Because you had crashing evolution, could you run evolution-exchange account
> from scratch, to see whether it'll work better now, with fresh local cache?
> It's enough to close evolution and rename
>  ~/.local/share/evolution/mail/exchange
> to a different name and the next start will be this cache populated again.
I tried that and restarted evolution and got an error at the bottom of the
evolution window saying something like "error reading folder".  The message
went away before I was able to take a screenshot, but I will attach a screenshot
with evolution saying that there are 58 new messages in the Inbox but listing none of them.  Here is what the console output:

mv ~/.local/share/evolution/mail/exchange /tmp
[localhost ~]$ evolution
** (evolution:685): DEBUG: Loading Exchange MAPI Plugin 

** (evolution:685): DEBUG: MAPI listener is constructed with 0 listed MAPI accounts 
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-Exchange'
e-data-server-ui-Message: Unable to find password(s) in keyring (Keyring reports: No matching results)
e-data-server-ui-Message: Key file does not have group 'Passwords-Exchange'

(evolution:685): camel-exchange-provider-WARNING **: got_folder: 7

(evolution:685): evolution-mail-WARNING **: Failed to refresh folders: Could not open folder

(evolution:685): camel-exchange-provider-WARNING **: got_folder: 7


I don't store my password in the keyring... I enter it each time and I'm sure
I entered the right password.  So I just demonstrated with the newest evolution
how one can reproduce a problem similar to the original one.  I pressed the
send/receive button to see if that would make the missing messages appear.
It crunched for a while updating a percentage at the bottom of the screen and
that didn't change anything.  I have a summary that shows I have 58 unread
messages and a completely empty list of messages.
Comment 30 David 2010-12-15 10:04:46 EST
Created attachment 468873 [details]
screenshot

screenshot showing no messages in the Inbox message list but showing 58 new messages in the summary.  This persisted after pushing the send/receive button
several times and happened after doing this:

mv ~/.local/share/evolution/mail/exchange /tmp

with these versions:
$ rpm -qa |grep evolution
evolution-mapi-0.32.1-1.fc14.i686
evolution-exchange-2.32.1-2.fc14.i686
evolution-data-server-2.32.1-1.fc14.i686
evolution-2.32.1-1.fc14.i686
$ rpm -qa | grep soup
libsoup-2.32.2-1.fc14.i686
libsoup-devel-2.32.2-1.fc14.i686
Comment 31 Milan Crha 2010-12-16 04:21:48 EST
> (evolution:685): camel-exchange-provider-WARNING **: got_folder: 7
> 
> (evolution:685): evolution-mail-WARNING **: Failed to refresh folders:
> Could not open folder

Thanks for the update. The above might be it, the reason why you do not see the folder content, because evolution-exchange failed to open the folder.

I looked around the code and the code 7 is most likely SOUP_STATUS_IO_ERROR. Can we open a new bug report for this, please? Because it seems to me like server-related, than a general fault. I also tried to reproduce it here and it works fine with same versions of libsoup and evolution-exchange as you have - after renaming the exchange mail local cache the information is properly fetched from my server.
Comment 32 David 2010-12-16 09:32:32 EST
When trying to reproduce the problem, you might try using a really big Inbox over a slow VPN connection.  I have north of 4000 messages in my Inbox right now.

As it turns out, stopping and restarting evolution two times brought my messages back.  But pressing send/receive during a session didn't.  That means that evolution gets stuck in a state where it has decided that it just can't open a folder so it stops trying.  It seems like retrying periodically or at least when somebody pushes send/receive would be appropriate.
Comment 33 Fedora End Of Life 2012-08-16 17:41:39 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.